WCSCMP(3)

NAME
wcscmp, wcsncmp - compare wide strings

SYNOPSIS
#include <wchar.h>
int
wcscmp(const wchar_t *s1, const wchar_t *s2);
int
wcsncmp(const wchar_t *s1, const wchar_t *s2, size_t len);

DESCRIPTION
The wcscmp() and wcsncmp() functions lexicographically compare the wide strings s1 and s2. The wcsncmp() function compares at most len wide characters.

RETURN VALUES
The wcscmp() and wcsncmp() functions return an integer greater than, equal to, or less than 0, according to whether the wide string s1 is greater than, equal to, or less than the wide string s2.

SEE ALSO
strcmp(3), wcscasecmp(3), wmemcmp(3)

STANDARDS
The wcscmp() and wcsncmp() functions conform to isoC-99 and were first introduced in isoC-amd1.

HISTORY
The wcscmp() and wcsncmp() functions were ported from NetBSD and first appeared in OpenBSD 3.8.